Summary: ULN support for yum
Name: python3-dnf-plugin-ulninfo
Version: 0.3
Release: 5%{?dist}
License: GPLv2
Group: System Environment/Base
Source0: python3-dnf-plugin-ulninfo-%{version}.tgz
Patch0: bug32850127.patch
BuildArch:      noarch
Requires: python3-dnf-plugin-spacewalk
BuildRequires: python3-devel

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Oracle patches
Patch1000:	1000-orabug36800209-Fixes-dnf-repolist-for-ULN-failed-issue.patch

%prep
%setup -q
%patch0 -p1

# Oracle patches
%patch1000 -p1

%install
install -d %{buildroot}%{_sysconfdir}/dnf/plugins/
install -d %{buildroot}%{python3_sitelib}/dnf-plugins/
install -m 644 ulninfo.conf %{buildroot}%{_sysconfdir}/dnf/plugins/
install -m 644 ulninfo.py %{buildroot}%{python3_sitelib}/dnf-plugins/

%description
send uln license, notification, entitlement to yum client

%files
%defattr(-,root,root,-)
%verify(not md5 mtime size) %config(noreplace) %{_sysconfdir}/dnf/plugins/ulninfo.conf
%{python3_sitelib}/dnf-plugins/*

%changelog
* Thu Feb 06 2025 Sam Booth <sam.booth@oracle.com> 0.3-5
- Rebuild on OL10

* Tue Aug 06 2024 Sourav Sharma <sourav.ss.sharma@oracle.com> 0.3-4
- Fixes dnf repolist for ULN failed issue [Orabug: 36800209]

* Tue May 03 2022 David Sloboda <david.x.sloboda@oracle.com> 0.3-3
- Build requires python3-devel

* Mon May 10 2021 Jared Greenwald <jared.greenwald@oracle.com> 0.3-2
- Catch all exceptions and die quietly [Orabug: 32850127]

* Wed Mar 31 2021 Jared Greenwald <jared.greenwald@oracle.com> 0.3-1
- Intial version
